<?php
namespace FiloBlu\Eva\Model\Config\Source;

/**
 * Class CategorySliderType
 * @package FiloBlu\Eva\Model\Config\Source
 */
class CategorySliderType implements \Magento\Framework\Option\ArrayInterface
{
    /**
     * @var
     */
    protected  $_blockModel;

    /**
     * @param \Magento\Cms\Model\Block $blockModel
     */
    public function __construct(
    	\Magento\Cms\Model\Block $blockModel
    	) {
    	$this->_groupModel = $blockModel;
    }

    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray()
    {
    	$options = [
            ['label' =>__('Side Title'),'value'=> 'side-title'],
            ['label' =>__('Top Title'),'value'=> 'top-title'],
            ['label' =>__('Big Title with Image'),'value'=> 'big-title']

        ];
        array_unshift($options, array(
                'value' => '',
                'label' => '',
                ));
        return $options;
    }
}